<template>
	<view class="container">
		<view class="content_msg">
			<u-parse :html="msg"></u-parse>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				msg: ''
			};
		},
		onLoad(options) {
			if (options.type == '1') {
				this.getYonghu()
			}
			if (options.type == '2') {
				this.getYinsi()
			}
		},
		methods: {
			getYonghu() {
				var data = {
					keys: ['system_article_user']
				}
				this.$u.post('base/settings/configs', data).then(res => {
					this.msg = res.data.configs.system_article_user
				})
			},
			getYinsi() {
				var data = {
					keys: ['system_article_user_hidden']
				}
				this.$u.post('base/settings/configs', data).then(res => {
					this.msg = res.data.configs.system_article_user_hidden
				})
			},
		}
	}
</script>

<style lang="scss">
	page {
		background: #F7F7F7;

		.container {
			min-height: 100vh;

			.content_msg {
				padding: 24rpx;
				box-sizing: border-box;
				margin: 24rpx;
				background: white;
				border-radius: 8rpx;
			}
		}
	}
</style>